trying this instead

This commit is contained in:
Mendel Greenberg 2019-03-04 00:03:18 -05:00
parent aa0b93dda9
commit 58824ca358
No known key found for this signature in database
GPG key ID: B26A7D2DF7DC6EF7

View file

@ -2,13 +2,14 @@
./dbench start > /tmp/bench.log & ./dbench start > /tmp/bench.log &
output=$( while ! [[ $i == 20 ]]
while ! curl "http://localhost:8000"
do do
output=$( curl "http://localhost:8000" )
{ echo "Exit status of curl: $?" { echo "Exit status of curl: $?"
} 1>&2 } 1>&2
sleep 1 sleep 2
i=$((i + 1))
done done
)
echo "${output}" | grep '<title> Login </title>' || exit 1 echo "${output}" | grep '<title> Login </title>' || exit 1